> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# メールボックスを取得

> 顧客メールボックスの詳細を返します。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json GET /v1/public/accounts/{account_id}/mailboxes/{mailbox}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/mailboxes/{mailbox}:
    get:
      tags:
        - public-accounts
        - public-mailboxes
      summary: メールボックスを取得
      description: 顧客メールボックスの詳細を返します。
      operationId: >-
        get_public_mailbox_v1_public_accounts__account_id__mailboxes__mailbox__get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: mailbox
          required: true
          schema:
            title: Mailbox
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MailboxDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    MailboxDTO:
      properties:
        aliases:
          description: メールボックスのエイリアス
          items:
            $ref: '#/components/schemas/MailboxAliasDTO'
          title: エイリアス
          type: array
        created_at:
          description: メールボックス作成のタイムスタンプ
          title: 作成日時
          type: string
        domain_id:
          description: メールボックスのドメイン UUID
          format: uuid
          title: ドメインID
          type: string
        domain_name:
          description: メールボックスのドメイン名
          title: ドメイン名
          type: string
        first_name:
          description: メールボックスユーザーの名
          title: 名
          type: string
        id:
          description: メールボックス UUID
          format: uuid
          title: ID
          type: string
        last_name:
          description: メールボックスユーザーの姓
          title: 姓
          type: string
        local_part:
          description: アットマークの前のメールボックスのローカル部分
          title: ローカルパート
          type: string
        primary_email:
          description: プライマリメールボックスの電子メールアドレス
          title: プライマリメール
          type: string
        quota:
          $ref: '#/components/schemas/MailboxQuotaDTO'
          description: メールボックスクォータの使用量
        status:
          description: メールボックスのライフサイクルステータス
          title: ステータス
          type: string
        updated_at:
          description: メールボックスの最終更新タイムスタンプ
          title: 更新日時
          type: string
        workspace_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: メールボックスのワークスペース UUID
          title: ワークスペースID
        workspace_name:
          anyOf:
            - type: string
            - type: 'null'
          description: ワークスペースの表示名
          title: ワークスペース名
      required:
        - id
        - domain_id
        - primary_email
        - domain_name
        - local_part
        - first_name
        - last_name
        - status
        - quota
        - created_at
        - updated_at
      title: メールボックスDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    MailboxAliasDTO:
      properties:
        alias:
          description: メールボックスのエイリアスメールアドレス
          title: エイリアス
          type: string
        is_catch_all:
          default: false
          description: このエイリアスが一致しないローカル部分をすべてキャッチするかどうか
          title: catch-allかどうか
          type: boolean
      required:
        - alias
      title: メールボックスAliasDTO
      type: object
    MailboxQuotaDTO:
      description: 顧客向けメールボックスクォータDTO。
      properties:
        allowed:
          description: メールボックスのストレージ許容量
          title: 許可済み
          type: integer
        used:
          description: 使用されているメールボックスストレージ
          title: 使用済み
          type: integer
      required:
        - used
        - allowed
      title: メールボックスQuotaDTO
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````